Workspaces
List workspaces
List all workspaces accessible to the API key.
GET
/
workspaces
List workspaces
curl --request GET \
--url https://www.orgo.ai/api/workspaces \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.orgo.ai/api/workspaces"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.orgo.ai/api/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"workspaces": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "production",
"user_id": "4d96f9a0-7727-4b63-889a-32544c206d7c",
"status": "active",
"icon_url": null,
"created_at": "2026-04-07T10:30:00Z",
"updated_at": "2026-04-07T10:30:00Z",
"desktops": []
}
]
}{
"error": "Invalid API key"
}Returns all workspaces owned by or shared with the authenticated user. Each workspace includes its computers (
desktops).
Response
array
Array of workspace objects, each containing its
desktops.Example
curl https://www.orgo.ai/api/workspaces \
-H "Authorization: Bearer $ORGO_API_KEY"
import requests
response = requests.get(
"https://www.orgo.ai/api/workspaces",
headers={"Authorization": f"Bearer {api_key}"}
)
workspaces = response.json()["workspaces"]
for ws in workspaces:
n = len(ws.get("desktops") or [])
print(f"{ws['name']}: {n} computers")
const response = await fetch('https://www.orgo.ai/api/workspaces', {
headers: { 'Authorization': `Bearer ${apiKey}` }
});
const { workspaces } = await response.json();
workspaces.forEach(ws => {
const n = (ws.desktops || []).length;
console.log(`${ws.name}: ${n} computers`);
});
Response
{
"workspaces": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "production",
"user_id": "4d96f9a0-7727-4b63-889a-32544c206d7c",
"status": "active",
"icon_url": null,
"created_at": "2026-04-07T10:30:00Z",
"updated_at": "2026-04-07T10:30:00Z",
"desktops": [
{
"id": "a3bb189e-8bf9-3888-9912-ace4e6543002",
"name": "agent-1",
"os": "linux",
"ram": 4,
"cpu": 1,
"status": "running"
}
]
}
]
}
⌘I
List workspaces
